GEOS: geos::linearref::LocationIndexOfPoint Class Reference

Public Member Functions | Static Public Member Functions

# geos::linearref::LocationIndexOfPoint Class Reference

`#include <LocationIndexOfPoint.h>`

List of all members.

## Public Member Functions
| LocationIndexOfPoint (const geom::Geometry *linearGeom)
LinearLocation | indexOf (const geom::Coordinate &inputPt) const
LinearLocation | indexOfAfter (const geom::Coordinate &inputPt, LinearLocation *minIndex) const
## Static Public Member Functions
static LinearLocation | indexOf (const geom::Geometry *linearGeom, const geom::Coordinate &inputPt)
static LinearLocation | indexOfAfter (const geom::Geometry *linearGeom, const geom::Coordinate &inputPt, LinearLocation *minIndex)

## Detailed Description

Computes the LinearLocation of the point on a linear Geometry nearest a given Coordinate. The nearest point is not necessarily unique; this class always computes the nearest point closest to the start of the geometry.

## Member Function Documentation

LinearLocation geos::linearref::LocationIndexOfPoint::indexOf | ( | const geom::Coordinate & | inputPt ) | const

Find the nearest location along a linear Geometry to a given point.

Parameters:

  inputPt | the coordinate to locate

Returns:
  the location of the nearest point

LinearLocation geos::linearref::LocationIndexOfPoint::indexOfAfter | ( | const geom::Coordinate & | inputPt,
|  | LinearLocation * | minIndex
| ) |  | const

Find the nearest LinearLocation along the linear Geometry to a given Coordinate after the specified minimum LinearLocation. If possible the location returned will be strictly greater than the `minLocation`. If this is not possible, the value returned will equal `minLocation`. (An example where this is not possible is when minLocation = [end of line] ).

Parameters:

  inputPt | the coordinate to locate
  minLocation | the minimum location for the point location

Returns:
  the location of the nearest point

The documentation for this class was generated from the following file:

- LocationIndexOfPoint.h